Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.fgov.ehealth.hubservices.core.v2
Class TherapeuticLinkType

    java.lang.Object
      be.fgov.ehealth.hubservices.core.v2.TherapeuticLinkType

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  Therapeuticlink, Therapeuticlink

    @Generated(value="com.sun.tools.xjc.Driver",
               date="2016-07-06T09:28:23+02:00",
               comments="JAXB RI v2.2.6")
    public class TherapeuticLinkType

extends Object
implements Serializable

Java class for TherapeuticLinkType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="TherapeuticLinkType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="patient" type="{http://www.ehealth.fgov.be/hubservices/core/v2}PatientIdType"/>
             <element name="hcparty" type="{http://www.ehealth.fgov.be/hubservices/core/v2}HCPartyIdType"/>
             <element name="cd" type="{http://www.ehealth.fgov.be/standards/kmehr/cd/v1}CD-THERAPEUTICLINK"/>
             <element name="startdate" type="{http://www.w3.org/2001/XMLSchema}date" minOccurs="0"/>
             <element name="enddate" type="{http://www.w3.org/2001/XMLSchema}date" minOccurs="0"/>
             <element name="comment" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  Serialized Form

Constructor Summary
`TherapeuticLinkType()`

Method Summary
`CDTHERAPEUTICLINK` | `getCd()` Gets the value of the cd property.
`String` | `getComment()` Gets the value of the comment property.
`org.joda.time.DateTime` | `getEnddate()` Gets the value of the enddate property.
`HCPartyIdType` | `getHcparty()` Gets the value of the hcparty property.
`PatientIdType` | `getPatient()` Gets the value of the patient property.
`org.joda.time.DateTime` | `getStartdate()` Gets the value of the startdate property.
`void` | `setCd(CDTHERAPEUTICLINK value)` Sets the value of the cd property.
`void` | `setComment(String value)` Sets the value of the comment property.
`void` | `setEnddate(org.joda.time.DateTime value)` Sets the value of the enddate property.
`void` | `setHcparty(HCPartyIdType value)` Sets the value of the hcparty property.
`void` | `setPatient(PatientIdType value)` Sets the value of the patient property.
`void` | `setStartdate(org.joda.time.DateTime value)` Sets the value of the startdate property.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TherapeuticLinkType

    public TherapeuticLinkType()

Method Detail

### getPatient

    public PatientIdType getPatient()

  Gets the value of the patient property.

  Returns:
    possible object is `PatientIdType`

### setPatient

    public void setPatient(PatientIdType value)

  Sets the value of the patient property.

  Parameters:
    `value` - allowed object is `PatientIdType`

### getHcparty

    public HCPartyIdType getHcparty()

  Gets the value of the hcparty property.

  Returns:
    possible object is `HCPartyIdType`

### setHcparty

    public void setHcparty(HCPartyIdType value)

  Sets the value of the hcparty property.

  Parameters:
    `value` - allowed object is `HCPartyIdType`

### getCd

    public CDTHERAPEUTICLINK getCd()

  Gets the value of the cd property.

  Returns:
    possible object is `CDTHERAPEUTICLINK`

### setCd

    public void setCd(CDTHERAPEUTICLINK value)

  Sets the value of the cd property.

  Parameters:
    `value` - allowed object is `CDTHERAPEUTICLINK`

### getStartdate

    public org.joda.time.DateTime getStartdate()

  Gets the value of the startdate property.

  Returns:
    possible object is `String`

### setStartdate

    public void setStartdate(org.joda.time.DateTime value)

  Sets the value of the startdate property.

  Parameters:
    `value` - allowed object is `String`

### getEnddate

    public org.joda.time.DateTime getEnddate()

  Gets the value of the enddate property.

  Returns:
    possible object is `String`

### setEnddate

    public void setEnddate(org.joda.time.DateTime value)

  Sets the value of the enddate property.

  Parameters:
    `value` - allowed object is `String`

### getComment

    public String getComment()

  Gets the value of the comment property.

  Returns:
    possible object is `String`

### setComment

    public void setComment(String value)

  Sets the value of the comment property.

  Parameters:
    `value` - allowed object is `String`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Package PERSDENTIST 3.10.2 API
Copyright © {inceptionYear}-2016 eHealth. All Rights Reserved.